Subject: Re: bug#47783: 28.0.50; [feature/native-comp] libgccjit.so: error: error invoking gcc driver

From: Andrea Corallo <[email-masked]>
Date: Fri, 16 Apr 2021 09:25:40 +0000

Pankaj Jangid <[email-masked]> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <[email-masked]> writes:
>
>> I don't know what happened here but I bet has to do with the value of
>> one of these three env vars [1] and most likely PATH.
>>
>> [1] <https://gcc.gnu.org/onlinedocs/jit/internals/index.html#environment-variables>
>>
>
> I am working with pre-built version of ‘gcc’ and ‘libgccjit’ from
> Homebrew. So I tried to set the following environment
> variables. Experimented with various permutation combinations of these.
>
> #+begin_src elisp
> (add-to-list 'exec-path
>              "/usr/local/opt/gcc/bin")
> (setenv "PATH" (mapconcat 'identity exec-path ":"))        
> (setenv "LD_LIBRARY_PATH"
>         "/usr/local/opt/libgccjit/lib/gcc/10:/usr/local/opt/gcc/lib/gcc/10")
> (setenv "LIBRARY_PATH"
>         "/usr/local/opt/libgccjit/lib/gcc/10:/usr/local/opt/gcc/lib/gcc/10")
> #end_src
>
> The above are standard location of ‘gcc’ and ’libgccjit’ artifacts.
>
> The exec-path configuration above crashes my Emacs at startup. So I had
> to comment that out.
> 
>
> Is there a way in Emacs to get all the environment variables in one
> go?

One can use the `process-environment' variable. Also might be useful for
you `initial-environment'.

  Andrea